liborigin 2.0.0

Public Member Functions | List of all members
Origin600Parser Class Reference

`#include <Origin600Parser.h>`

Inheritance diagram for Origin600Parser:

## Public Member Functions
| Origin600Parser (const string &fileName)
Public Member Functions inherited from Origin610Parser
| Origin610Parser (const string &fileName)
bool | parse ()
Public Member Functions inherited from Origin800Parser
| Origin800Parser (const string &fileName)
bool | parse ()
Public Member Functions inherited from Origin750Parser
| Origin750Parser (const string &fileName)
bool | parse ()
Public Member Functions inherited from OriginParser
vector< Origin::Excel >::difference_type | findExcelByName (const string &name) const
vector< Origin::Function >::difference_type | findFunctionByName (const string &name) const
vector< Origin::Matrix >::difference_type | findMatrixByName (const string &name) const
vector< Origin::SpreadSheet >::difference_type | findSpreadByName (const string &name) const
virtual bool | parse ()=0
void | setFileVersion (unsigned int version)
virtual | ~OriginParser ()

## Additional Inherited Members
Public Attributes inherited from OriginParser
vector< Origin::Excel > | excels
unsigned int | fileVersion
vector< Origin::Function > | functions
vector< Origin::Graph > | graphs
vector< Origin::Matrix > | matrixes
vector< Origin::Note > | notes
tree< Origin::ProjectNode > | projectTree
string | resultsLog
vector< Origin::SpreadSheet > | speadSheets
unsigned int | windowsCount
Protected Member Functions inherited from Origin610Parser
int | findObjectInfoSectionByName (unsigned int start, const string &name)
bool | readGraphInfo ()
void | readMatrixInfo ()
void | readNotes ()
void | readResultsLog ()
void | readSpreadInfo ()
Protected Member Functions inherited from Origin800Parser
bool | findSection (const string &name, unsigned int length, unsigned int maxLength=0)
unsigned int | findStringPos (const string &name)
void | readColumnInfo (int spread, int)
void | readGraphInfo ()
void | readMatrixInfo ()
virtual void | readNotes ()
void | readResultsLog ()
void | readSpreadInfo ()
void | skipObjectInfo ()
Protected Member Functions inherited from Origin750Parser
time_t | doubleToPosixTime (double jdt)
virtual void | readColorMap (ColorMap &colorMap)
void | readExcelInfo ()
void | readGraphAxisBreakInfo (GraphAxisBreak &axis_break)
void | readGraphAxisFormatInfo (GraphAxisFormat &format)
unsigned int | readGraphAxisInfo (GraphAxis &axis)
void | readGraphAxisPrefixSuffixInfo (const string &sec_name, unsigned int size, GraphLayer &layer)
void | readGraphAxisTickLabelsInfo (GraphAxisTick &tick)
void | readGraphGridInfo (GraphGrid &grid)
void | readGraphInfo ()
void | readMatrixInfo ()
void | readProjectTree ()
virtual void | readProjectTreeFolder (tree< ProjectNode >::iterator parent)
void | readSpreadInfo ()
void | readWindowProperties (Window &window, unsigned int size)
void | skipLine ()
double | stringToDouble (const string &s)
Protected Member Functions inherited from OriginParser
void | convertSpreadToExcel (vector< Origin::SpreadSheet >::size_type spread)
int | findColumnByName (int spread, const string &name)
pair< string, string > | findDataByIndex (unsigned int index) const
vector< Origin::SpreadColumn >::difference_type | findExcelColumnByName (vector< Origin::Excel >::size_type excel, vector< Origin::SpreadSheet >::size_type sheet, const string &name) const
pair< Origin::ProjectNode::NodeType, string > | findObjectByIndex (unsigned int index) const
vector< Origin::SpreadColumn >::difference_type | findSpreadColumnByName (vector< Origin::SpreadSheet >::size_type spread, const string &name) const
Protected Attributes inherited from Origin800Parser
string | notes_pos_mark
Protected Attributes inherited from Origin750Parser
unsigned int | d_colormap_offset
unsigned int | d_file_size
unsigned int | d_start_offset
iendianfstream | file
FILE * | logfile
unsigned int | objectIndex

## Constructor & Destructor Documentation

## ◆ Origin600Parser()

Origin600Parser::Origin600Parser | ( | const string & | fileName | ) |

References Origin750Parser::d_start_offset.

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/Origin600Parser.h
- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/Origin600Parser.cpp